<?php
/**
 * Webtexttool - SEO made easy, for everyone
 *
 * @author       Jan Martin Roelofs
 * @copyright    (c) Webtexttool - 2019
 * @package      webtexttool
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version      2.0.1
 * @date         2019-04-06
 *
 */

defined('_JEXEC') or die;
?>

angular.module("wttDashboard", ['ui.bootstrap', 'angular-ladda', 'ngRoute', 'cgBusy'])

.config(function ($routeProvider, $httpProvider) {
    $routeProvider.when("/account", {
        templateUrl: "<?php echo Webtexttool::get_component_path(); ?>inc/webtexttool-account.html"
    }).when("/login", {
        templateUrl: "<?php echo Webtexttool::get_component_path(); ?>inc/webtexttool-login.html"
    }).otherwise({
        redirectTo: '/account'
    });

    $httpProvider.interceptors.push('authInterceptor');
})

.controller("AppController", function ($scope, $http, $q, $location, $sce) {

    $scope.error = null;
    $scope.message = "Invalid Email or Password";
    $scope.loading = false;
    $scope.logo = "<?php echo Webtexttool::get_component_path(); ?>images/wtt_logo.png";
    $scope.promiseTemplate = "<?php echo Webtexttool::get_component_path(); ?>inc/loadingTemplate.html";
    $scope.promiseMessage = "Please wait...";
    $scope.WttAppUrl = "<?php echo Webtexttool::wtt_app_url; ?>#/";
    var WttApiBaseUrl = "<?php echo Webtexttool::wtt_api_base_url; ?>/user/";

    $scope.headingOptions = [<?php
        $array = Webtexttool::get_allowed_title_tags();
        $count = count($array);
        for($i = 0; $i < $count-1; ++$i) {
            echo "'" . $array[$i] . "', ";
        }
        echo "'" . $array[$count-1] . "'"; ?>];
    $scope.headingInit = '<?php echo Webtexttool::get_title_tag(); ?>';
    $scope.headingSelected = function(titleTag) {
        jQuery.ajax({
            url: '<?php echo JURI::root(true); ?>/administrator/index.php?option=com_ajax&plugin=webtexttool&format=json&<?php echo JSession::getFormToken(); ?>=1',
            type: 'POST',
            contentType: "application/json; charset=utf-8",
            dataType: 'json',
            data: JSON.stringify({titleTag: titleTag})
        })
        .fail(function(){
            console.log('error writing Title Tag to database');
        })
    };

    $scope.socialInit = <?php echo (Webtexttool::wtt_social_plugin_get_state() ? 'true' : 'false'); ?>;
    $scope.socialSelected = function(socialSwitch) {
        jQuery.ajax({
            url: '<?php echo JURI::root(true); ?>/administrator/index.php?option=com_ajax&plugin=webtexttool&format=json&<?php echo JSession::getFormToken(); ?>=1',
            type: 'POST',
            contentType: "application/json; charset=utf-8",
            dataType: 'json',
            data: JSON.stringify({socialSwitch: socialSwitch})
        })
        .done(function() {
            if (socialSwitch) {
                // reload the page to get the social plugin functional
                window.location.reload(false);
            }
        })
        .fail(function(){
            console.log('error switching Social Plugin');
        })
    };

    <?php
    $tagSwitches = array (
        'facebook' => 'Open Graph information will be displayed on Facebook pages when sharing content.',
        'twitter' => 'Twitter Card Tags will enable a summary of your tweet.',
        'google' => 'Schema.org Tags will be displayed on Google+ when sharing content.'
    );
    foreach ($tagSwitches as $tagSwitch => $helpText) {
        $TagSwitch = ucfirst($tagSwitch);
    ?>
        $scope.<?php echo $tagSwitch; ?>Init = <?php
            $plugin = JPluginHelper::getPlugin('system', 'webtexttoolsocial');
            if ($plugin) {
                $pluginParams = new JRegistry($plugin->params);
                echo ($pluginParams->get($tagSwitch) ? 'true' : 'false' );
            } else {
                echo 'false';
            }; ?>;
        $scope.<?php echo $tagSwitch; ?>Selected = function(<?php echo $tagSwitch; ?>Switch) {
            jQuery.ajax({
                url: '<?php echo JURI::root(true); ?>/administrator/index.php?option=com_ajax&plugin=webtexttoolsocial&format=json&<?php echo JSession::getFormToken(); ?>=1',
                type: 'POST',
                contentType: "application/json; charset=utf-8",
                dataType: 'json',
                data: JSON.stringify({<?php echo $tagSwitch; ?>: <?php echo $tagSwitch; ?>Switch})
            })
            .fail(function(){
                console.log('error switching <?php echo $TagSwitch; ?> functionality of Social Plugin');
            })
        };
        $scope.htmlPopover<?php echo $TagSwitch; ?> = $sce.trustAsHtml('<p class="tooltip-content"><?php echo $helpText; ?></p>');

    <?php
    }
    ?>

    <?php
    $tagTexts = array (
        'facebookPage' => 'Facebook Page URL (with https://)',
        'facebookAdminId' => 'meta property="fb:admins" content="..."',
        'facebookPlatformAppId' => 'meta property="fb:app_id" content="..."',
        'twitterUsername' => 'Twitter username (without @)',
        'googlePlusPage' => 'Google+ Page URL (with https://)'
    );
    foreach ($tagTexts as $tagText => $helpText) {
        $TagText = ucfirst($tagText);
    ?>
        $scope.<?php echo $tagText; ?>Init = <?php
            $plugin = JPluginHelper::getPlugin('system', 'webtexttoolsocial');
            if ($plugin) {
                $pluginParams = new JRegistry($plugin->params);
                echo '"' . $pluginParams->get($tagText) . '"';
            } else {
                echo '""';
            }; ?>;
        $scope.<?php echo $tagText; ?>Selected = function(<?php echo $tagText; ?>Input) {
            jQuery.ajax({
                url: '<?php echo JURI::root(true); ?>/administrator/index.php?option=com_ajax&plugin=webtexttoolsocial&format=json&<?php echo JSession::getFormToken(); ?>=1',
                type: 'POST',
                contentType: "application/json; charset=utf-8",
                dataType: 'json',
                data: JSON.stringify({'<?php echo $tagText; ?>': <?php echo $tagText; ?>Input})
            })
            .fail(function(){
                console.log('error setting <?php echo $tagText; ?> variable of Social Plugin');
            })
        };
        $scope.htmlPopover<?php echo $TagText; ?> = $sce.trustAsHtml('<p class="tooltip-content"><?php echo $helpText; ?></p>');

    <?php
    }
    ?>

    $scope.loginModel = {
        RememberMe: true
    };
    $scope.htmlPopoverT = $sce.trustAsHtml('<p class="tooltip-content">Indicate here what Tag your template uses for the title of an article.</p>');
    $scope.htmlPopoverS = $sce.trustAsHtml('<p class="tooltip-content">Social Media Meta Tags are usefull when sharing content on social media.</p>');

    var getData = function (url) {
        var deffered = $q.defer();

        $http.get(url, {
            withCredentials: true
        }).success(function (data, status, headers, config) {
            deffered.resolve(data);
        }).error(function (error, status) { // called asynchronously if an error occurs
            deffered.reject(error.Message);
        });
        return deffered.promise;
    };

    var postData = function (url, dataIn) {
        var deffered = $q.defer();

        $http.post(url, dataIn, {
            withCredentials: true
        }).success(function (data, status, headers, config) {
            deffered.resolve(data);
        }).error(function (error, status) { // called asynchronously if an error occurs
            deffered.reject(error.Message);
            $scope.error = error.Message;
            $scope.loading = false;
        });
        return deffered.promise;
    };

    $scope.login = function () {

        $scope.loading = true;

        postData(WttApiBaseUrl + "login", $scope.loginModel).then(function (response) {

            if (response) {
                localStorage.setItem('wtt_token', response.access_token);
                window.location.reload();
            } else {
                $scope.loading = false;
                $scope.error = $scope.message;
            }

        });
    };

    $scope.logout = function () {

        $scope.loading = true;

        getData(WttApiBaseUrl + "logout").then(function () {
            localStorage.removeItem('wtt_token');
            window.location.reload();
        });
    };

    function init() {
        getData(WttApiBaseUrl + "authenticated").then(function (result) {
            $scope.auth = result;

            if ($location.path().indexOf('account') > 0 && !$scope.auth) {
                $location.path('/login');
            } else if ($location.path().indexOf('login') > 0 && $scope.auth) {
                $location.path('/account');
            }

            if (result) {
                $scope.accountPromise = getData(WttApiBaseUrl + "info").then(function (userInfo) {
                    $scope.userInfo = userInfo;

                    $scope.displayTrialDays = function (days) {
                        if (days <= 0) return "0";
                        return days;
                    };
                });
            }
        })
    }

    init();

})

.factory('authInterceptor', function ($q) {
    return {
        request: function (config) {
            if (config.url.indexOf("<?php echo Webtexttool::wtt_short_url; ?>") > 0) {
                config.headers = config.headers || {};
                config.headers.Authorization = 'Bearer ' + localStorage.getItem('wtt_token');
                config.headers.WttSource = 'Joomla';
            }
            return config;
        },
        response: function (response) {
            return response || $q.when(response);
        }
    }
});
