<?php
/**
 * Webtexttool - SEO made easy, for everyone
 *
 * @author       Jan Martin Roelofs
 * @copyright    (c) Webtexttool - 2019
 * @package      webtexttool
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version      2.0.1
 * @date         2019-04-06
 *
 */

defined('_JEXEC') or die;
?>
<div class="wtt_box" ng-show="auth" ng-cloak>
    <div class="wtt_header">Main Keyword
        <button type="button" class="btn-collapse" ng-click="isCollapsed = !isCollapsed">
            <i class="fa" ng-class="{'fa-minus-square': !isCollapsed, 'fa-plus-square': isCollapsed}"></i>
        </button>
    </div>

    <div id="wtt_blocksearch" cg-busy="searchPromise"
         ng-class="{'display-none': isCollapsed, 'display-block': !isCollapsed}" style="padding: 5px !important">

        <div id="keyword-language-well">
            <table class="wtt-form-table">
                <tbody>
                <tr>
                    <td>
                        <div class="step-no">1. Select language/country</div>
                    </td>
                    <td>
                        <button popover-placement="auto left" uib-wtt-popover-html="htmlPopover" popover-append-to-body="true"
                                popover-trigger="mouseenter" type="button" class="btn-info"><i
                                    class="fa fa-question-circle"></i>
                        </button>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="wtt-country-list">
                        <div class="btn-group">
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown"
                                    aria-haspopup="true"
                                    aria-expanded="false"><i
                                        class="flag flag-{{searchModel.selectedSource.Value}}"></i>
                                {{searchModel.selectedSource.Name}} <span class="caret"></span></button>
                            <ul class="dropdown-menu keyword-country-list">
                                <li ng-repeat="keywordSource in KeywordSources"
                                    ng-class="{active: searchModel.selectedSource == keywordSource}"><a
                                            href="javascript:;"
                                            ng-click="selectKeywordSource(keywordSource)"><i
                                                class="flag flag-{{keywordSource.Value}}"></i>
                                        {{keywordSource.Name}}</a></li>
                            </ul>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="wtt-keyword" id="keyword-analysis-well">
            <div class="step-no">2. Keyword analysis &
                selection
            </div>
            <div class="cl-lg-6">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for..." id="wtt-keyword"
                           name="wtt_keyword_field" autocomplete="off"
                           uib-wtt-tooltip="Fill in your keyword" tooltip-trigger="focus"
                           tooltip-placement="top" tooltip-enable="!Keyword" value="" ng-blur="onKeywordBlur()">
                    <span class="input-group-btn">
                    <input class="wtt-btn wtt-btn-default" type="button" value="Go!"
                           id="wtt-keyword-check" ng-click="useMyKeyword()"
                           uib-wtt-tooltip="Start optimizing"
                           tooltip-trigger="mouseenter"
                           tooltip-placement="top"/>
                </span>
                </div>
            </div>

            <div id="keyword-suggestion-button">
                <input type="button" id="wtt-keyword-research" value="Give me suggestions"
                       ng-click="submitSearchKeyword()"
                       ng-disabled="userInfo.Credits <= 0 || userInfo.TrialDays < 0"
                       uib-wtt-tooltip="Analyze the keyword and search for related suggestions"
                       tooltip-trigger="mouseenter"
                       tooltip-placement="top">
            </div>

            <div ng-show="searchModel.SearchResults.length > 0" id="score-analysis-area">
                <p class="lead text-center" style="margin: 5px;">
                    <em>&ldquo;{{inputKeywordResult.Keyword}}&rdquo;</em> keyword score:</p>
                <div class="row" id="keyword-score-area">
                    <ul class="details-list list-unstyled list-inline" data-items-per-row="3">
                        <li>
                            <div class="score-box {{inputKeywordResult.SearchVolumeScoreAttrs.className}}"
                                 uib-wtt-popover="{{inputKeywordResult.SearchVolumeScoreAttrs.helpText}}"
                                 popover-title="{{inputKeywordResult.SearchVolumeScoreAttrs.label}}"
                                 popover-trigger="mouseenter" popover-append-to-body="true"
                                 popover-placement="top">
                                <p class="label">Volume</p>
                                <div class="score-box-content">
                                    <p class="value"><i class="fa fa-square"></i>
                                        {{inputKeywordResult.SearchVolumeScoreAttrs.label}}
                                    </p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="score-box {{inputKeywordResult.CompetitionScoreAttrs.className}}"
                                 uib-wtt-popover="{{inputKeywordResult.CompetitionScoreAttrs.helpText}}"
                                 popover-title="{{inputKeywordResult.CompetitionScoreAttrs.label}}"
                                 popover-trigger="mouseenter" popover-append-to-body="true"
                                 popover-placement="top">
                                <p class="label">Competition</p>
                                <div class="score-box-content">
                                    <p class="value"><i class="fa fa-square"></i>
                                        {{inputKeywordResult.CompetitionScoreAttrs.label}}</p>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="score-box" uib-wtt-popover="{{inputKeywordResult.OverallScoreHelp}}"
                                 popover-title="{{inputKeywordResult.OverallScoreLabel}}"
                                 popover-trigger="mouseenter" popover-append-to-body="true"
                                 popover-placement="top">
                                <p class="label">Overall</p>
                                <div class="score-box-content {{inputKeywordResult.OverallScoreClass}}">
                                    <p class="value">{{inputKeywordResult.OverallScoreLabel}}</p>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="well well-custom well-step" id="related-keywords-well"
                 ng-if="searchModel.SearchResults.length > 0">
                <h2 style="color: #f09000; font-weight: 700; text-align: left !important;">Related keywords that
                    might be relevant for you</h2>

                <div class="clearfix" id="related-keywords-wrapper">
                    <scrollable-table watch="searchModel.SearchResults">
                        <table class="table table-custom results-table" id="suggetionsTable">
                            <thead>
                            <tr>
                                <th sortable-header col="Keyword">Keyword</th>
                                <th>&nbsp;</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="relatedKeyword in searchModel.SearchResults">
                                <td><a href="javascript:;" class="keyBox"
                                       ng-click="useKeyword(relatedKeyword);"
                                       uib-wtt-popover-template="dynamicPopover.templateUrl"
                                       popover-placement="auto top"
                                       popover-trigger="mouseenter"
                                       popover-title="More Info"><span
                                                class="keyword label {{relatedKeyword.OverallScoreLabelClass}}">{{relatedKeyword.Keyword}}</span></a>
                                </td>
                                <script id="moreinfo.html" type="text/ng-template">
                                    <table style="100%" id="wtt_keywords_info">
                                        <tr>
                                            <td class="search-volume">
                                                <span class="interval">
                                                    <i class="fa fa-square {{relatedKeyword.SearchVolumeScoreAttrs.className}}"></i>
                                                    <strong>Volume:</strong>
                                                    <span class="int-value">{{relatedKeyword.SearchVolumeScoreAttrs.label}}</span>
                                                </span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <span class="interval">
                                                    <i class="fa fa-square {{relatedKeyword.CompetitionScoreAttrs.className}}"></i>
                                                    <strong>Competition:</strong>
                                                    <span class="int-value">{{relatedKeyword.CompetitionScoreAttrs.label}}</span>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </script>
                                <td class="text-right">
                                    <input type="button" class="suggestion-button"
                                           ng-click="fillKeyword(relatedKeyword)" value="Suggestions"/>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </scrollable-table>
                </div>
            </div>
        </div>

        <div style="text-align:center;">
            <table class="wtt-form-table">
                <tbody>
                <tr>
                    <td>
                        <div class="step-no">3. Add synonyms (optional) </div>
                    </td>
                    <td>
                        <button popover-placement="auto left" uib-wtt-popover-html="htmlPopoverP" popover-append-to-body="true"
                                popover-trigger="mouseenter" type="button" class="btn-info"><i
                                    class="fa fa-question-circle"></i>
                        </button>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div>
                            <tags-input max-tags=3 enforce-max-tags ng-model="pageKeywordSynonyms" placeholder="Add" replace-spaces-with-dashes="false" class="ti-bootstrap wtt-edit" on-tag-added=onSynonymsAdded($tag) on-tag-removed=onSynonymsRemoved($tag)>
                                <auto-complete source="getKeywordSynonyms($query)" debounce-delay="0" load-on-empty="true" load-on-focus="true" max-results-to-show="30" select-first-match="false"></auto-complete>
                            </tags-input>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>

    </div>
</div>